Author Topic: Logic 4, 5 or 6 on OS9  (Read 346 times)

Offline nickmeister

  • Active Member
  • *
  • Posts: 16
  • New Member
Logic 4, 5 or 6 on OS9
« on: January 03, 2024, 06:25:05 AM »
Hi, I’ve been searching through the forum as wanted to find out which version of Logic would be the best option with a Powermac G4 running OS9?  It’s been a while but also wondered if you still need the dongle to run certain versions of Logic?  Many thanks